Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83412 - RH8.1b4: core files don\'t show extended floating point registers
Summary: RH8.1b4: core files don\'t show extended floating point registers
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdb
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-04 02:23 UTC by Larry Troan
Modified: 2016-04-18 09:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-18 19:22:53 UTC


Attachments (Terms of Use)
mpdbg.tar.gz (some test code) (deleted)
2003-02-04 02:28 UTC, Larry Troan
no flags Details

Description Larry Troan 2003-02-04 02:23:25 UTC
When a program dumps core that is using SSE or MMX resisters the core file
contains note sections for these registers.  ".reg-xfp"  The version of GDB
doesnt seem to recognize these note sections.

----------
Action by: markgross
attached is some test code.

File uploaded: mpdbg.tar.gz

THIS IS ISSUE TRACKER 15069, OPENED AS SEV 2.

Comment 1 Larry Troan 2003-02-04 02:28:57 UTC
Created attachment 89825 [details]
mpdbg.tar.gz (some test code)

Comment 3 Larry Troan 2003-05-19 15:24:58 UTC
FROM Elena....
 > Can you tell me if Bug 82640 in QU2 fixes bug 83412 "core files don't 
 > show extended floating point registers (RH9)?
 > 

No, the fix for 82640 was a change to glibc (an older version of glibc). 
It has no relation to 83412.

elena

Comment 4 Larry Troan 2003-05-19 15:26:20 UTC
Any status on whether this is fixed in latest RHL 8.0, 9 errata...

Comment 5 Larry Troan 2003-07-14 17:50:29 UTC
Ping....

Comment 6 Elena Zannoni 2003-07-18 19:22:53 UTC
Seems to be working correctly for mmx registers and floating point registers.
Please use 'info float' and 'info vector'. Fixed in the current gdb version:
5.3.90-0.20030710.3rh

I am closing this bug.


Note You need to log in before you can comment on or make changes to this bug.